OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions
OTF_Reader.h File Reference
Reader Interface

Transparently reads OTF traces which consist of multiple streams. More...

`#include "OTF_inttypes.h"`
`#include "OTF_MasterControl.h"`
`#include "OTF_FileManager.h"`
`#include "OTF_RStream.h"`
`#include "OTF_HandlerArray.h"`

Go to the source code of this file.

## Typedefs
typedef struct struct_OTF_Reader | OTF_Reader
| reader object

## Functions
OTF_Reader * | OTF_Reader_open (const char *namestub, OTF_FileManager *manager)
| Open a MasterControl file and return a OTF_Reader. More...
int | OTF_Reader_setBufferSizes (OTF_Reader *reader, uint32_t size)
| Set the default buffer size for all buffers managed by this Reader. More...
uint32_t | OTF_Reader_getBufferSizes (OTF_Reader *reader)
| Get the default buffer size. More...
void | OTF_Reader_setZBufferSizes (OTF_Reader *reader, uint32_t size)
| Set the default zbuffer size for all buffers managed by this Reader. More...
uint32_t | OTF_Reader_getZBufferSizes (OTF_Reader *reader)
| Get the default zbuffer size. More...
OTF_MasterControl * | OTF_Reader_getMasterControl (OTF_Reader *reader)
| Get a pointer to the mastercontrol of the reader. More...
int | OTF_Reader_close (OTF_Reader *reader)
| Close an OTF_Reader instance and all its related files. More...
uint64_t | OTF_Reader_readDefinitions (OTF_Reader *reader, OTF_HandlerArray *handlers)
| This function reads all definitions from trace. More...
uint64_t | OTF_Reader_readEvents (OTF_Reader *reader, OTF_HandlerArray *handlers)
| This function reads all events from trace and calls the appropriate handler sorted by time. More...
uint64_t | OTF_Reader_readEventsUnsorted (OTF_Reader *reader, OTF_HandlerArray *handlers)
| This function reads all events from trace and calls the appropriate handler NOT sorted by time. More...
uint64_t | OTF_Reader_readSnapshots (OTF_Reader *reader, OTF_HandlerArray *handlers)
| This function reads all snapshots from trace. More...
uint64_t | OTF_Reader_readSnapshotsUnsorted (OTF_Reader *reader, OTF_HandlerArray *handlers)
| This function reads all snapshots from trace and calls the appropriate handler NOT sorted by time. More...
uint64_t | OTF_Reader_readStatistics (OTF_Reader *reader, OTF_HandlerArray *handlers)
| This function reads all statistic records from trace. More...
uint64_t | OTF_Reader_readStatisticsUnsorted (OTF_Reader *reader, OTF_HandlerArray *handlers)
| This function reads all statistics from trace and calls the appropriate handler NOT sorted by time. More...
uint64_t | OTF_Reader_readMarkers (OTF_Reader *reader, OTF_HandlerArray *handlers)
| This function reads all markers from trace. More...
OTF_RStream * | OTF_Reader_getStream (OTF_Reader *reader, uint32_t id)
| Searchs a reader stream and returns it. More...
int | OTF_Reader_disableProcess (OTF_Reader *reader, uint32_t processId)
| disable given process. More...
int | OTF_Reader_enableProcess (OTF_Reader *reader, uint32_t processId)
| enable given process. More...
uint8_t | OTF_Reader_getProcessStatus (OTF_Reader *reader, uint32_t processId)
| Returns the current process status. More...
int | OTF_Reader_setProcessStatus (OTF_Reader *reader, uint32_t processId, uint8_t status)
| Sets the current status of the process. More...
int | OTF_Reader_setProcessStatusAll (OTF_Reader *reader, uint8_t status)
| Sets the status for all processes with a single call. More...
void | OTF_Reader_setTimeInterval (OTF_Reader *reader, uint64_t minTime, uint64_t maxTime)
| Set the minimum time and the maximum time of the reader. More...
uint64_t | OTF_Reader_getTimeIntervalMin (OTF_Reader *reader)
| Returns the begin of current time interval. More...
uint64_t | OTF_Reader_getTimeIntervalMax (OTF_Reader *reader)
| Returns end of current time interval. More...
void | OTF_Reader_setRecordLimit (OTF_Reader *reader, uint64_t limit)
| Set the maximum number of records delivered by a single call to OTF_Reader_readXYZ(). More...
uint64_t | OTF_Reader_getRecordLimit (OTF_Reader *reader)
| Returns the current record limit. More...
void | OTF_Reader_reset (OTF_Reader *reader)
| Resets all filters for timelimit, process selection and record count limit. More...
int | OTF_Reader_closeAllStreams (OTF_Reader *reader)
| Closes all streams that are open in the reader. More...
uint8_t | OTF_Reader_eventProgress (OTF_Reader *reader, uint64_t *minimum, uint64_t *current, uint64_t *maximum)
| depricated. More...
uint8_t | OTF_Reader_snapshotProgress (OTF_Reader *reader, uint64_t *minimum, uint64_t *current, uint64_t *maximum)
| depricated. More...
uint8_t | OTF_Reader_statisticProgress (OTF_Reader *reader, uint64_t *minimum, uint64_t *current, uint64_t *maximum)
| depricated. More...
uint8_t | OTF_Reader_eventTimeProgress (OTF_Reader *reader, uint64_t *minimum, uint64_t *current, uint64_t *maximum)
| Delivers a progress report for reading events. More...
uint8_t | OTF_Reader_snapshotTimeProgress (OTF_Reader *reader, uint64_t *minimum, uint64_t *current, uint64_t *maximum)
| Delivers a progress report for reading snapshots. More...
uint8_t | OTF_Reader_statisticTimeProgress (OTF_Reader *reader, uint64_t *minimum, uint64_t *current, uint64_t *maximum)
| Delivers a progress report for reading statistics. More...
uint8_t | OTF_Reader_eventBytesProgress (OTF_Reader *reader, uint64_t *minimum, uint64_t *current, uint64_t *maximum)
| Delivers a progress report for reading events. More...
uint8_t | OTF_Reader_snapshotBytesProgress (OTF_Reader *reader, uint64_t *minimum, uint64_t *current, uint64_t *maximum)
| Delivers a progress report for reading snapshots. More...
uint8_t | OTF_Reader_statisticBytesProgress (OTF_Reader *reader, uint64_t *minimum, uint64_t *current, uint64_t *maximum)
| Delivers a progress report for reading statistics. More...

## Detailed Description

Transparently reads OTF traces which consist of multiple streams.

This interface should be used whenever a trace file is to be read as a whole.

## Function Documentation

uint8_t OTF_Reader_eventProgress | ( | OTF_Reader * | reader,
|  | uint64_t * | minimum,
|  | uint64_t * | current,
|  | uint64_t * | maximum
| ) |  |

depricated.

See also
  OTF_Reader_eventTimeProgress()

References OTF_Reader_eventTimeProgress().

uint8_t OTF_Reader_snapshotProgress | ( | OTF_Reader * | reader,
|  | uint64_t * | minimum,
|  | uint64_t * | current,
|  | uint64_t * | maximum
| ) |  |

depricated.

See also
  OTF_Reader_snapshotTimeProgress()

References OTF_Reader_snapshotTimeProgress().

uint8_t OTF_Reader_statisticProgress | ( | OTF_Reader * | reader,
|  | uint64_t * | minimum,
|  | uint64_t * | current,
|  | uint64_t * | maximum
| ) |  |

depricated.

See also
  OTF_Reader_statisticTimeProgress()

References OTF_Reader_statisticTimeProgress().